/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.json;

import java.io.Reader;

/**
 * json工具。将json格式数据转换成java对象，或反之。
 *
 * @author Lucky Yang
 */
public interface JsonUtil {
	
	/**
	 * 转换成java对象
	 * 
	 * @param <T>
	 * @param s JSON
	 * @param clazz
	 * @return
	 */
	<T> T fromJson(String s, Class<T> clazz);
	
	/**
	 * 转换成java对象 
	 * 
	 * @param <T>
	 * @param s JSON
	 * @param clazz
	 * @return
	 */
	<T> T fromJson(Reader reader, Class<T> clazz);
	
	/**
	 * 转换成json
	 * 
	 * @param o instance
	 * @return
	 */
	String toJson(Object o);
	
}
